#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests

Summary:	High level compatibility layer for multiple asynchronous event loop implementations
Summary(pl.UTF-8):	Wysokopoziomowa warstwa zgodności dla wielu implementacji pętli zdarzeń asynchronicznych
Name:		python3-anyio
Version:	4.9.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/anyio/
Source0:	https://files.pythonhosted.org/packages/source/a/anyio/anyio-%{version}.tar.gz
# Source0-md5:	d0e4db5f5e4041d1bc9664042b454218
URL:		https://pypi.org/project/anyio/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools >= 1:64
BuildRequires:	python3-setuptools_scm >= 6.4
%if %{with tests}
BuildRequires:	python3-blockbuster >= 1.5.23
BuildRequires:	python3-coverage >= 7
BuildRequires:	python3-exceptiongroup >= 1.2.0
BuildRequires:	python3-hypothesis >= 4.0
BuildRequires:	python3-idna >= 2.8
BuildRequires:	python3-psutil >= 5.9
BuildRequires:	python3-pytest >= 7.0
BuildRequires:	python3-sniffio >= 1.1
BuildRequires:	python3-trio >= 0.26.1
BuildRequires:	python3-trustme
BuildRequires:	python3-truststore >= 0.9.1
BuildRequires:	python3-uvloop >= 0.21
%if "%{_ver_lt %{py3_ver} 3.13}"
BuildRequires:	python3-typing_extensions >= 4.5
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
BuildRequires:	python3-packaging
BuildRequires:	python3-sphinx_autodoc_typehints >= 1.2.0
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3 >= 8.2
%endif
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AnyIO is an asynchronous networking and concurrency library that works
on top of either asyncio or trio. It implements trio-like "structured
concurrency" (SC) on top of asyncio and works in harmony with the
native SC of trio itself.

Applications and libraries written against AnyIO's API will run
unmodified on either asyncio or trio. AnyIO can also be adopted into a
library or application incrementally - bit by bit, no full refactoring
necessary. It will blend in with the native libraries of your chosen
backend.

%description -l pl.UTF-8
AnyIO to biblioteka asynchronicznej komunikacji sieciowej i
współbieżności, działająca powyżej asyncio lub trio. Implementuje
"strukturalną współbieżność" (Structural Concurrency) w stylu trio
powyżej asyncio i współpracuje z natywnym SC w samym trio.

Aplikacje i biblioteki pisane pod kątem API AnyIO będą działały bez
modyfikacji wraz z asyncio lub trio. AnyIO może być adaptowane w
bibliotece lub aplikacji przyrostowo - kawałek po kawałku, bez
potrzeby pełnego refaktoru. Będzie się płynnie mieszać z natywnymi
bibliotekami wybranego backendu.

%package apidocs
Summary:	API documentation for Python anyio module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona anyio
Group:		Documentation

%description apidocs
API documentation for Python anyio module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona anyio.

%prep
%setup -q -n anyio-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests -k 'not test_tls and not TestFreePortFactory and not test_sockets'
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
sphinx-build-3 -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/anyio
%{py3_sitescriptdir}/anyio-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Sun Jul 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-anyio.git;a=log;h=master

* Sun Jul 06 2025 Jakub Bogusz <qboosh@pld-linux.org> e0a70f9
- new

